#include <bits/stdc++.h>
#include "guess.h"

using namespace std;

int find_number(int n){
    int l = 0, r = n + 1;
    while(r - l > 1){
        int mid = l + r >> 1;
        if(smaller(mid)) 
            r = mid;
        else
            l = mid;
    }
    return l;
}
